package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.RoomRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 用户开门记录Mapper接口
 * 
 * @author ics
 * @date 2024-03-11
 */
@Mapper
public interface RoomRecordMapper extends BaseMapper<RoomRecord> {
    /**
     * 查询用户开门记录
     * 
     * @param id 用户开门记录ID
     * @return 用户开门记录
     */
    RoomRecord selectRoomRecordById(Long id);

    /**
     * 查询用户开门记录列表
     * 
     * @param roomRecord 用户开门记录
     * @return 用户开门记录集合
     */
    List<RoomRecord> selectRoomRecordList(RoomRecord roomRecord);

    /**
     * 新增用户开门记录
     * 
     * @param roomRecord 用户开门记录
     * @return 结果
     */
    int insertRoomRecord(RoomRecord roomRecord);

    /**
     * 修改用户开门记录
     * 
     * @param roomRecord 用户开门记录
     * @return 结果
     */
    int updateRoomRecord(RoomRecord roomRecord);

    /**
     * 删除用户开门记录
     * 
     * @param id 用户开门记录ID
     * @return 结果
     */
    int deleteRoomRecordById(Long id);

    /**
     * 批量删除用户开门记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteRoomRecordByIds(String[] ids);
}
